/***************************************************************************
*   Copyright (C) 2006 by Michael Kaufmann   *
*   michael@enlighter.de   *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#include "aboutdata.h"

aboutData::aboutData()
      : KAboutData( "kovpn", I18N_NOOP( "Kovpn" ), "0.3", I18N_NOOP( "A simple OpenVPN GUI" ), License_GPL_V2, I18N_NOOP( "(C) 2006 Michael Kaufmann" ), 0, "http://www.enlighter.de", "kovpn-bugs@enlighter.de" )
{
   addAuthor( "Michael Kaufmann", I18N_NOOP( "Developer" ), "michael@enlighter.de" );
   addCredit( "Alon Bar-Lev", I18N_NOOP( "new feature testing (PKCS#11) and bug fixes" ), "alon.barlev@gmail.com" );
   addCredit( "Michael Imhof", I18N_NOOP( "Gentoo Portage and bug hunting" ), "tantive@gentoo.org" );
}


aboutData::~aboutData()
{}


