#ifndef INFOPOPUP_H
#define INFOPOPUP_H

#include <infopopupbase.h>
#include <kpassivepopup.h>
#include <qvariant.h>
#include <qwidget.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLabel;

/**
	@author Michael Kaufmann <michael@enlighter.de>
*/
class infoPopup : public QWidget
{
      Q_OBJECT
   public:
      infoPopup( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );

      ~infoPopup();
      //       void setLeftSpacing( int spacing );
      void addLine( const QString & key, const QString & value );
      void addLine( const QString & value );
   protected:
      struct tLine
      {
         QSpacerItem * spacer;
         QLabel * key;
         QLabel * value;
      };
      QMap<QString, tLine> mLines;

   protected:
      QGridLayout* infoPopupBaseLayout;
      //       KPassivePopup * mPopup;

   protected slots:
      virtual void languageChange();
};

#endif
